
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active
    transition: background-color 5000s ease-in-out 0s

form
    display: flex
    flex:
        flow: column nowrap

form button
	text-align: left
    color: #CCD1D1

form button:hover
    color: #515A5A

form input,
form button
    width: 100%
    border: 2px solid #FFFFFF
    border-radius: 3px
    margin: 5px 0
    padding: 15px 15px 15px 45px
    background-color: #FDFEFE

    box-shadow: 0 5px 0 #D0D3D4

    transition: all 250ms ease

form input::placeholder
    color: #CCD1D1
    transition: all 250ms ease

form input:hover,
form button:hover
    background-color: #F0F3F4

form input:hover::placeholder
    color: #515A5A

form input:focus,
form button:focus
    background-color: #FDFEFE
    box-shadow: 0 5px 0 #bbbdbe

form .form-item
	position: relative

form .form-item .icon
	position: absolute
	width: 24px
	top: 9px
	left: 15px

form .form-item .icon i
	color: #CCD1D1
	transition: color 250ms ease

form .form-item:hover i,
form .form-item input:focus + .icon i
	color: #515A5A

input.invalid
    border-left: 5px solid #CD6155
    color: #CD6155

input.valid
    border-left: 5px solid #52BE80
    color: #52BE80
